Bug 113753 - Limit of 20 for the length of the resease (and version) is too low.
Limit of 20 for the length of the resease (and version) is too low.
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: rpm2html (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-16 22:59 EST by Aleksey Nogin
Modified: 2007-04-18 13:01 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-17 05:00:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Aleksey Nogin 2004-01-16 22:59:42 EST
In rpmopen.c, functions checkReleaseName and checkVersionName (which
are identical, btw - not sure why there are two of them) abort if the
length of the release or version number reaches 20. Well, turned out
this is way too low for my Mozilla RPMs - they often end up having
release names as long as 34 symbols: 2004011522_trunk_fedora1_gtk2_xft

Can the limit be increased? Thanks
Comment 1 Daniel Veillard 2004-01-17 05:00:13 EST
Same as #113750, please check with
Peter Hanecak <hanecak@megaloman.com>
for rpm2html maintainance at this point,

Daniel

Note You need to log in before you can comment on or make changes to this bug.